Bug 20650 - Switch single-column templates to Bootstrap grid: Various, part 3
Summary: Switch single-column templates to Bootstrap grid: Various, part 3
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-04-24 13:14 UTC by Owen Leonard
Modified: 2018-07-10 08:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20650: Switch single-column templates to Bootstrap grid: Various, part 3 (7.99 KB, patch)
2018-04-24 15:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20650: Switch single-column templates to Bootstrap grid: Various, part 3 (8.74 KB, patch)
2018-05-11 13:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20650: Switch single-column templates to Bootstrap grid: Various, part 3 (8.80 KB, patch)
2018-05-14 11:38 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20650: (follow-up) Add missing include file (1.11 KB, patch)
2018-06-19 12:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20650: Switch single-column templates to Bootstrap grid: Various, part 3 (8.09 KB, patch)
2018-06-19 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20650: (follow-up) Add missing include file (1.19 KB, patch)
2018-06-19 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20650: Remove unused virtualshelves/merge.tt (1.40 KB, patch)
2018-06-19 13:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-04-24 13:14:34 UTC
This patch will convert several unrelated templates to use the Bootstrap grid:

- patroncards/print.tt
- patron_lists/add-modify.tt
- plugins/plugins-disabled.tt
- plugins/plugins-upload.tt
- tools/tools-home.tt
- virtualshelves/merge.tt
Comment 1 Owen Leonard 2018-04-24 15:12:08 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-05-11 10:22:04 UTC
hullo,

I am getting the same issue that we had on bug 19709 (now fixed) that the 'Cancel' Link in the Modal for x batch to export doesn't work and similarly the 'done' button in the batch download Modal also does nothing.

Everything else is looking good!
Comment 3 Owen Leonard 2018-05-11 13:50:44 UTC
Created attachment 75267 [details] [review]
Bug 20650: Switch single-column templates to Bootstrap grid: Various, part 3

This patch updates various unrelated templates to use the Bootstrap
grid. In each case, confirm that the indicated page looks correct.

This patch also corrects a couple of capitalization errors and removes
an unused template: virtualshelves/merge.tt.

 - Tools -> Patron card creator -> Manage -> Card batches
   - Export a batch
   - The pages inside the modal window should look correct: Both the "X
     batch(es) to export" screen and the "download exported batch(es)"
     one.

 - Tools -> Patron lists -> Edit list
   - The patron list add/edit form should look correct.

 - Disable plugins in koha-conf.xml.
   - Tools -> Plugins
   - The "Plugins disabled" page should look correct.

 - Enable plugins in koha-conf.xml
   - Tools -> Plugins -> Upload plugins.
     - This page should look correct.

 - Tools
   - The tools home page should show three columns: Patrons and
     Circulation, Catalog, Additional tools.
   - At viewport width below 768 pixels content should reflow into one
     column.

 - virtualshelves/merge.tt has been removed as it is unused. Search the
   codebase for references to it. There should be none.
Comment 4 Claire Gravely 2018-05-14 11:38:37 UTC
Created attachment 75301 [details] [review]
Bug 20650: Switch single-column templates to Bootstrap grid: Various, part 3

This patch updates various unrelated templates to use the Bootstrap
grid. In each case, confirm that the indicated page looks correct.

This patch also corrects a couple of capitalization errors and removes
an unused template: virtualshelves/merge.tt.

 - Tools -> Patron card creator -> Manage -> Card batches
   - Export a batch
   - The pages inside the modal window should look correct: Both the "X
     batch(es) to export" screen and the "download exported batch(es)"
     one.

 - Tools -> Patron lists -> Edit list
   - The patron list add/edit form should look correct.

 - Disable plugins in koha-conf.xml.
   - Tools -> Plugins
   - The "Plugins disabled" page should look correct.

 - Enable plugins in koha-conf.xml
   - Tools -> Plugins -> Upload plugins.
     - This page should look correct.

 - Tools
   - The tools home page should show three columns: Patrons and
     Circulation, Catalog, Additional tools.
   - At viewport width below 768 pixels content should reflow into one
     column.

 - virtualshelves/merge.tt has been removed as it is unused. Search the
   codebase for references to it. There should be none.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 5 Jonathan Druart 2018-06-18 21:17:11 UTC
Owen, I think doc-head-open is missing from patroncards/print.tt, could you confirm?
Comment 6 Owen Leonard 2018-06-19 12:50:10 UTC
Created attachment 76170 [details] [review]
Bug 20650: (follow-up) Add missing include file

This patch adds a missing include of doc-head-open.inc.

To test, apply the patch and export a batch of patron cards. The modal
view for downloading the card batch PDF should work correctly.
Validating the iframe's source should show no relevant errors.
Comment 7 Jonathan Druart 2018-06-19 13:05:51 UTC
Created attachment 76171 [details] [review]
Bug 20650: Switch single-column templates to Bootstrap grid: Various, part 3

This patch updates various unrelated templates to use the Bootstrap
grid. In each case, confirm that the indicated page looks correct.

This patch also corrects a couple of capitalization errors and removes
an unused template: virtualshelves/merge.tt.

 - Tools -> Patron card creator -> Manage -> Card batches
   - Export a batch
   - The pages inside the modal window should look correct: Both the "X
     batch(es) to export" screen and the "download exported batch(es)"
     one.

 - Tools -> Patron lists -> Edit list
   - The patron list add/edit form should look correct.

 - Disable plugins in koha-conf.xml.
   - Tools -> Plugins
   - The "Plugins disabled" page should look correct.

 - Enable plugins in koha-conf.xml
   - Tools -> Plugins -> Upload plugins.
     - This page should look correct.

 - Tools
   - The tools home page should show three columns: Patrons and
     Circulation, Catalog, Additional tools.
   - At viewport width below 768 pixels content should reflow into one
     column.

 - virtualshelves/merge.tt has been removed as it is unused. Search the
   codebase for references to it. There should be none.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2018-06-19 13:05:56 UTC
Created attachment 76172 [details] [review]
Bug 20650: (follow-up) Add missing include file

This patch adds a missing include of doc-head-open.inc.

To test, apply the patch and export a batch of patron cards. The modal
view for downloading the card batch PDF should work correctly.
Validating the iframe's source should show no relevant errors.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2018-06-19 13:06:01 UTC
Created attachment 76173 [details] [review]
Bug 20650: Remove unused virtualshelves/merge.tt

Committed by Jonathan Druart, get out from first patch of this patchset.

It's a follow-up of bug 4019 which removed virtualshelves/merge.pl

Moving this change to its own commit to make it clear in the git log and
easier to backport if needed.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Nick Clemens 2018-07-06 14:47:53 UTC
Awesome work all!

Pushed to master for 18.11
Comment 11 Martin Renvoize 2018-07-10 08:28:04 UTC
Enhancement, not backporting to 18.05.x series.